﻿using System;

namespace ExtensibleCalculator
{
    class Program
    {
        static void Main()
        {
            Calculator calc = new Calculator();
            while (true)
            {
                String line = Console.ReadLine();
                if (String.IsNullOrWhiteSpace(line)) break;
                String[] parts = line.Split(' ');
                int left = int.Parse(parts[0]);
                String operation = parts[1];
                int right = int.Parse(parts[2]);
                int result = calc.Eval(left, operation, right);
                Console.WriteLine(result);
            }
        }
    }
}
